Subject: Re: bug#40324: [PATCH 00/30] [MATE] Update to 1.24

From: Marius Bakke <[email-masked]>
Date: Thu, 02 Apr 2020 17:55:21 +0200

Ludovic Courtès <[email-masked]> writes:

> Hi,
>
> Jonathan Brielmaier <[email-masked]> skribis:
>
>> this series updates MATE to 1.24. I tested it in a VM and it looks quite
>> good so far.
>
> Nice!  I’ve tested it briefly in a VM and it seems to work fine.  Pushed
> the whole series, with ae8e0fbd82ca8406dc55aa1f55c4681331e0d215 as the tip.
>
>> Known limitations
>> =================
>> * Atril is still on 1.22 due to an old version of glib in master.
>> * I had to propagate glib:bin to the mate "meta" package in order to fix
>>   this gio-launch-desktop issue. I think this quick fix is okay.
>>
>> There were some discussions before about this topic on guix-devel:
>> https://lists.gnu.org/archive/html/guix-devel/2020-03/msg00324.html
>
> I haven’t investigated, but could we set the absolute file name of
> gio-launch-desktop “somewhere” so that we don’t have to propagate
> glib:bin?

The "somewhere" is in Glib itself and has been fixed on the
'core-updates' branch.  The alternative for now would be to wrap many of
the executables with glib:bin in PATH, which is a lot of work for little
benefit.